{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% load custom_tags %}

{% block extra_style %}
<link href="{% static 'css/grid-style.css' %}" rel="stylesheet"/>
{% endblock %}

{% block side_menu %}
    {% if request.user.is_superuser %}
        {% include "admin_side_menu.html" %}
    {% elif request.user|has_group:"DEL" %}
        {% include "customer_side_menu.html" %}
    {% elif request.user|has_group:"SR" %}
        {% include "sr_side_menu.html" %}
    {% endif %}

{% comment %}
<!--<li class="treeview">-->
    <!--<a href="#">-->
        <!--<i class="fa fa-share"></i>-->
        <!--Imports-->
        <!--<span class="pull-right-container">-->
                  <!--<i class="fa fa-angle-left pull-right"></i>-->
                <!--</span>-->
    <!--</a>-->
    <!--<ul class="treeview-menu">-->
        <!--&lt;!&ndash;<li><a href="{% url 'allowance' %}"><i class="fa fa-circle-o"></i>Allowances</a></li>&ndash;&gt;-->
        <!--&lt;!&ndash;<li><a href="{% url 'tie_up' %}"><i class="fa fa-circle-o"></i>Tie Ups</a></li>&ndash;&gt;-->
        <!--&lt;!&ndash;<li><a href="{% url 'scheme_sell_through' %}"><i class="fa fa-circle-o"></i>Sell Through</a></li>&ndash;&gt;-->
    <!--</ul>-->
<!--</li>-->


<!--<li class="treeview">-->
    <!--<a href="#">-->
        <!--<i class="fa fa-share"></i>-->
        <!--Inventory-->
        <!--<span class="pull-right-container">-->
                  <!--<i class="fa fa-angle-left pull-right"></i>-->
                <!--</span>-->
    <!--</a>-->
    <!--<ul class="treeview-menu">-->
        <!--<li><a href="{% url 'product_category' %}"><i class="fa fa-circle-o"></i>Product Category</a></li>-->
        <!--<li><a href="{% url 'stock_register' %}"><i class="fa fa-circle-o"></i>Stock Register</a></li>-->
        <!--<li><a href="{% url 'scheme_sell_through' %}"><i class="fa fa-circle-o"></i>Scheme Sell Through</a></li>-->
        <!--<li><a href="{% url 'product_price_history' %}"><i class="fa fa-circle-o"></i>Price History</a></li>-->

    <!--</ul>-->
<!--</li>-->
<!-- <li class="treeview">
    <a href="#">
        <i class="fa fa-share"></i>
        Imports
        <span class="pull-right-container">
                  <i class="fa fa-angle-left pull-right"></i>
                </span>
    </a>
    <ul class="treeview-menu">
        <li><a href="{% url 'dealers' %}"><i class="fa fa-circle-o"></i>Dealers</a></li>
        <li><a href="{% url 'products' %}"><i class="fa fa-circle-o"></i>Products</a></li>
        <li><a href="{% url 'inventory' %}"><i class="fa fa-circle-o"></i>Inventory</a></li>
        <li><a href="{% url 'allowance' %}"><i class="fa fa-circle-o"></i>Allowances</a></li>
        <li><a href="{% url 'tie_up' %}"><i class="fa fa-circle-o"></i>Tie Ups</a></li>
        <li><a href="{% url 'scheme_sell_through' %}"><i class="fa fa-circle-o"></i>Sell Through</a></li>
        <li><a href="{% url 'dealer_sales_target' %}"><i class="fa fa-circle-o"></i>Dealer Monthly Target</a></li>
        <li><a href="{% url 'cash_discount_slab' %}"><i class="fa fa-circle-o"></i>Cash Discount Slabs</a></li> -->

        <!--<li><a href="{% url 'sr_dealer' %}"><i class="fa fa-circle-o"></i>SR Dealer</a></li>-->
        <!--<li><a href="{% url 'scheme_sell_through' %}"><i class="fa fa-circle-o"></i>Sell Through</a></li>-->
    <!-- </ul>
</li>
<li class="treeview">
    <a href="#">
        <i class="fa fa-share"></i>
        Product
        <span class="pull-right-container">
                  <i class="fa fa-angle-left pull-right"></i>
                </span>
    </a>
    <ul class="treeview-menu">
        <li><a href="{% url 'customerdashboard' %}"><i class="fa fa-circle-o"></i>Order</a></li>

        <!--<li><a href="{% url 'sr_dealer' %}"><i class="fa fa-circle-o"></i>SR Dealer</a></li>-->
        <!--<li><a href="{% url 'scheme_sell_through' %}"><i class="fa fa-circle-o"></i>Sell Through</a></li>-->
        <!--<li><a href="{% url 'dealer_sales_target' %}"><i class="fa fa-circle-o"></i>Dealer Monthly Target</a></li>-->
        <!--<li><a href="{% url 'cash_discount_slab' %}"><i class="fa fa-circle-o"></i>Cash Discount Slabs</a></li>-->

    <!--</ul>-->
<!--</li>-->
<!--<li class="treeview">-->
    <!--<a href="#">-->
        <!--<i class="fa fa-share"></i>-->
        <!--Order-->
        <!--<span class="pull-right-container">-->
                  <!--<i class="fa fa-angle-left pull-right"></i>-->
                <!--</span>-->
    <!--</a>-->
    <!--<ul class="treeview-menu">-->
        <!--<li><a href="{% url 'customerdashboard' %}"><i class="fa fa-circle-o"></i>Order</a></li>-->
        <!--&lt;!&ndash;<li><a href="{% url 'sr_dealer' %}"><i class="fa fa-circle-o"></i>SR Dealer</a></li>&ndash;&gt;-->
        <!--&lt;!&ndash;<li><a href="{% url 'scheme_sell_through' %}"><i class="fa fa-circle-o"></i>Sell Through</a></li>&ndash;&gt;-->
    <!--</ul>-->
<!--</li>-->
{%endcomment%}
{% endblock %}

{%comment%}
<!--
<div style="display: inline-block;padding: 9px 0 0 73%">
    <label >Brand</label>
    <select class="select form-control">
        <option value="Samsung"> samsung </option>
    </select>
</div>
-->

{%endcomment%}
{% block branddetails %}
{% include "brand_list.html" %}
{% endblock %}
{% block cart %}
{% include "cart.html" %}
{% endblock %}

{%block content%}
{% endblock %}


{% block extra_script_block %}
{{block.super}}
<script>
$(document).ready(function(){
    $('select').select2();

    $(".main-sidebar a").each(function(){
       var h = $(this).attr("href");
       if(h == window.location.pathname){
           $(this.parentElement).addClass("active");
           if($(this).parents('ul')){
               $(this).parents('ul').each(function(){
                   $($(this).prev()).click();
               });
           }
       }
       else{
           $(this.parentElement).removeClass("active");
       }

    });

    $(".datetimeinput").datepicker({
      autoclose: true
    });

    $(".grid-style-view").click(function(){
       window.location=UpdateQueryString('page_style', 'grid');
    });

    $(".list-style-view").click(function(){
        window.location=UpdateQueryString('page_style', 'list');
    });
});


function UpdateQueryString(key, value, url) {
    if (!url) url = window.location.href;
    var re = new RegExp("([?&])" + key + "=.*?(&|#|$)(.*)", "gi"),
        hash;

    if (re.test(url)) {
        if (typeof value !== 'undefined' && value !== null)
            return url.replace(re, '$1' + key + "=" + value + '$2$3');
        else {
            hash = url.split('#');
            url = hash[0].replace(re, '$1$3').replace(/(&|\?)$/, '');
            if (typeof hash[1] !== 'undefined' && hash[1] !== null)
                url += '#' + hash[1];
            return url;
        }
    }
    else {
        if (typeof value !== 'undefined' && value !== null) {
            var separator = url.indexOf('?') !== -1 ? '&' : '?';
            hash = url.split('#');
            url = hash[0] + separator + key + '=' + value;
            if (typeof hash[1] !== 'undefined' && hash[1] !== null)
                url += '#' + hash[1];
            return url;
        }
        else
            return url;
    }
}




</script>

{% endblock %}